#
# spec file for package python-piexif
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-piexif
Version:        1.1.2
Release:        2.1
Summary:        EXIF manipulations with python
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/hMatoba/Piexif
Source:         https://files.pythonhosted.org/packages/source/p/piexif/piexif-%{version}.zip
BuildRequires:  %{python_module Pillow}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
BuildArch:      noarch
%python_subpackages

%description
EXIF manipulations with python. Writing, reading, and more.

%prep
%setup -q -n piexif-%{version}
sed -i 's/\r$//' README.rst

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%dir %{python_sitelib}/piexif
%{python_sitelib}/piexif/*
%{python_sitelib}/piexif-%{version}-py*.egg-info

%changelog
* Thu Nov 22 2018 arun@gmx.de
- update to version 1.1.2:
  * Resolve issue. https://github.com/hMatoba/Piexif/issues/64 (Python
    2.7: UnicodeWarning: Unicode equal comparison failed to convert
    both arguments to Unicode)
* Tue Oct 30 2018 arun@gmx.de
- specfile:
  * remove devel from noarch
  * be more specific in %%files section
- update to version 1.1.1:
  * Ignore XMP segment. Related to
    https://github.com/hMatoba/Piexif/pull/74.
- changes from version 1.1.0b:
  * “load”, “insert”, and “remove” support WebP format.
* Thu May 24 2018 toddrme2178@gmail.com
- Spec file cleanups
* Wed Oct 18 2017 toddrme2178@gmail.com
- Implement single-spec version
- Update to version 1.0.13
  * See changelog at https://github.com/hMatoba/Piexif/blob/1.0.13/doc/changes.rst
* Fri Jan  6 2017 boris@steki.net
- updated to latest release 1.0.8
- no relevant changes can be seen in github commits
* Mon Jun 15 2015 toddrme2178@gmail.com
- Initial version
